基于xampp集成环境安装composer

Composer 是一个用于 PHP 依赖管理的工具。它实现了让你声明项目所依赖的库,并帮你完成安装 / 更新过程

系统要求

Composer 要求 PHP 版本在 5.3.2 以上才能运行。还需要对 PHP 做一些设置和编译标志,在安装时会收到所有的不兼容警告。
从源码安装软件替代简单的解压压缩文件,你需要 git,svn,fossil 或者 hg 这取决于软件所用的版本控制工具。
Composer 是多平台的,可以在 Windows,Linux 和 OSX 上良好运行。

设置php环境变量

目前电脑是没有配置php环境变量的
image.png
设置php环境变量
找到你的xampp安装目录,找到以下两个路径,添加进去即可
image.png
测试是否安装成功,首次测试打开管理员(以后打开不用管理员)命令行,windows在左下方点击右键,选择windows powershell(管理员),输入php-v,如有版本信息,说明配置成功
image.png

安装Composer

新开个cmd窗口,执行以下命令

# 首先下载安装程序,就是一个 php 文件
php -r "copy('https://install.phpcomposer.com/installer', 'composer-setup.php');"

# 运行安装程序,主要就是下载 composer.phar 文件
php composer-setup.php

# 删除安装文件
php -r "unlink('composer-setup.php');"

image.png

安装到全局

1.将刚才安装的将 composer.phar 复制到 PHP 的安装目录下面,也就是和 php.exe 在同一级目录(我的目录在D:\xmapp\php)
2.在 php.exe 所在目录下新建一个 composer.bat 文件,并将下列代码保存到此文件中

@php "%~dp0composer.phar" %*

检验是否配置成功

重新打开一个命令行窗口试一试执行 composer --version 看看是否正确输出版本号
image.png

安装加速镜像

在国内用 composer 安装包巨慢,幸好已经有前辈们做了加速镜像,安装很简单,执行下面命令即可:

composer config -g repo.packagist composer https://packagist.phpcomposer.com

下载安装包

我当前网站需要安装一个验证码think-captcha

// 执行安装
composer require topthink/think-captcha

已添加进入
image.png

public function captcha(){
    $captcha = new \think\captcha\Captcha();
    $captcha->codeSet = '0123456789';
    $captcha->fontSize = 14;
    $captcha->imageH   = 50;
    $captcha->imageW = 100;
    $captcha->length   = 4;
    $captcha->useNoise = false;
    $captcha->bg = [255, 255, 255];
    return $captcha->entry();
}

前端页面本地测试

<div class="login-box-con_flex-cen-input code">
     <i class="iconfont iconuseryanzhnegma"></i>
     <input type="text" placeholder="请输入邮箱或者账号" name="" id="">
     <img  src="http://127.0.0.1:9019/api/captcha/captcha">
</div>

image.png

其它相关文章
composer安装教学
验证码
composer require报错:Installation failed, reverting ./composer.json to its original content.

阅读 152发布于 10月30日
推荐阅读
vipbic
用户专栏

vipbic是一个关注前端开发、网址导航、学习视屏免费下载、HTML5、CSS3、JavaScript、PHP的前端杨航开发...

2 人关注
16 篇文章
专栏主页
目录